curl -X POST https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent \
-u "YOUR_UUID:YOUR_SECRET" \
-H "idempotency-Key: 7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"amount": 250,
"currency": "AUD",
"intent_id": "int_hkdmzwzw6h6nmtxbe2u"
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent", {
method: "POST",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"idempotency-Key": "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578",
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"amount": 250,
"currency": "AUD",
"intent_id": "int_hkdmzwzw6h6nmtxbe2u"
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"idempotency-Key": "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578",
"X-API-Version": "1.2",
},
json={
"amount": 250,
"currency": "AUD",
"intent_id": "int_hkdmzwzw6h6nmtxbe2u",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent")
request = Net::HTTP::Post.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["idempotency-Key"] = "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578"
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"amount": 250,
"currency": "AUD",
"intent_id": "int_hkdmzwzw6h6nmtxbe2u"
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"idempotency-Key: 7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578",
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"amount": 250,
"currency": "AUD",
"intent_id": "int_hkdmzwzw6h6nmtxbe2u"
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"amount\": 250,",
" \"currency\": \"AUD\",",
" \"intent_id\": \"int_hkdmzwzw6h6nmtxbe2u\"",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent"))
.header("Authorization", "Basic " + credentials)
.header("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578")
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"amount": 250,
"currency": "AUD",
"intent_id": "int_hkdmzwzw6h6nmtxbe2u"
}`)
req, err := http.NewRequest("POST", "https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578");
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""amount"": 250,
""currency"": ""AUD"",
""intent_id"": ""int_hkdmzwzw6h6nmtxbe2u""
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 200,
"message": "Payment intent captured successfully",
"intent_id": "int_hkdmzwzw6h6nmtxbe2u"
}
Payment intents
Capture intent
The Capture Customer Intent endpoint is used to capture an amount on customer’s intent.
POST
/
customer
/
capture-intent
curl -X POST https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent \
-u "YOUR_UUID:YOUR_SECRET" \
-H "idempotency-Key: 7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"amount": 250,
"currency": "AUD",
"intent_id": "int_hkdmzwzw6h6nmtxbe2u"
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent", {
method: "POST",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"idempotency-Key": "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578",
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"amount": 250,
"currency": "AUD",
"intent_id": "int_hkdmzwzw6h6nmtxbe2u"
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"idempotency-Key": "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578",
"X-API-Version": "1.2",
},
json={
"amount": 250,
"currency": "AUD",
"intent_id": "int_hkdmzwzw6h6nmtxbe2u",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent")
request = Net::HTTP::Post.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["idempotency-Key"] = "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578"
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"amount": 250,
"currency": "AUD",
"intent_id": "int_hkdmzwzw6h6nmtxbe2u"
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"idempotency-Key: 7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578",
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"amount": 250,
"currency": "AUD",
"intent_id": "int_hkdmzwzw6h6nmtxbe2u"
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"amount\": 250,",
" \"currency\": \"AUD\",",
" \"intent_id\": \"int_hkdmzwzw6h6nmtxbe2u\"",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent"))
.header("Authorization", "Basic " + credentials)
.header("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578")
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"amount": 250,
"currency": "AUD",
"intent_id": "int_hkdmzwzw6h6nmtxbe2u"
}`)
req, err := http.NewRequest("POST", "https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578");
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""amount"": 250,
""currency"": ""AUD"",
""intent_id"": ""int_hkdmzwzw6h6nmtxbe2u""
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 200,
"message": "Payment intent captured successfully",
"intent_id": "int_hkdmzwzw6h6nmtxbe2u"
}
Headers
string
default:"1.2"
required
The API version to use. Supported versions are
1.1 and 1.2.Headers
string
required
A unique UUID string used to prevent duplicate operations.
Request Body Parameters
string
required
The ID of the intent to be captured.
number
required
The amount to be captured in decimal dollars (e.g. 28833.00 for A$28,833.00). Do not pass cents.
string
required
The currency of the payment.
Response Body
The response for the Capture Intent request is a JSON object with the following schema:number
The HTTP status code of the response envelope (e.g.
200).string
Provides information related to the intent capture process (e.g.
"Payment intent captured successfully").string
The unique identifier for the captured payment intent.
SUCCEEDED), use the Retrieve Intent endpoint.
Response Codes
| Code | Description |
|---|---|
| 200 | If the request is successful, the intent is captured and the response includes the capture details. |
| 400 | Bad Request. Missing required parameters (e.g. ‘intent_id is required, amount is required’) or invalid amount. |
| 401 | Unauthorized. Missing or invalid credentials. |
| 404 | Not Found. The specified intentId does not exist. |
| 409 | Conflict. The intent is in a state that cannot be captured. |
| 500 | Internal Server Error. |
curl -X POST https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent \
-u "YOUR_UUID:YOUR_SECRET" \
-H "idempotency-Key: 7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"amount": 250,
"currency": "AUD",
"intent_id": "int_hkdmzwzw6h6nmtxbe2u"
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent", {
method: "POST",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"idempotency-Key": "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578",
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"amount": 250,
"currency": "AUD",
"intent_id": "int_hkdmzwzw6h6nmtxbe2u"
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"idempotency-Key": "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578",
"X-API-Version": "1.2",
},
json={
"amount": 250,
"currency": "AUD",
"intent_id": "int_hkdmzwzw6h6nmtxbe2u",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent")
request = Net::HTTP::Post.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["idempotency-Key"] = "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578"
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"amount": 250,
"currency": "AUD",
"intent_id": "int_hkdmzwzw6h6nmtxbe2u"
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"idempotency-Key: 7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578",
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"amount": 250,
"currency": "AUD",
"intent_id": "int_hkdmzwzw6h6nmtxbe2u"
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"amount\": 250,",
" \"currency\": \"AUD\",",
" \"intent_id\": \"int_hkdmzwzw6h6nmtxbe2u\"",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent"))
.header("Authorization", "Basic " + credentials)
.header("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578")
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"amount": 250,
"currency": "AUD",
"intent_id": "int_hkdmzwzw6h6nmtxbe2u"
}`)
req, err := http.NewRequest("POST", "https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-payments.mygigsters.com.au/api/v1/customer/capture-intent");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d578");
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""amount"": 250,
""currency"": ""AUD"",
""intent_id"": ""int_hkdmzwzw6h6nmtxbe2u""
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 200,
"message": "Payment intent captured successfully",
"intent_id": "int_hkdmzwzw6h6nmtxbe2u"
}
Last modified on November 10, 2026
Was this page helpful?
